import React from "react";
import {Flatlist} from "react-native";
export default class InfiniteScroll extends React.Component {
  constructor() {

  }
  handleScroll = async (e) => {
    const scrollPosition = e.nativeEvent.contentOffset.y;
    const scrollViewHeight = e.nativeEvent.layoutMeasurement.height;
    const contentHeight = e.nativeEvent.contentSize.height;
    const isScrolledBottom = scrollViewHeight + scrollPosition;
    if (
      isScrolledBottom >= contentHeight - 50 &&
      this.state.itemRender <= this.state.drivers.length
    ) {
      setTimeout(() => {
        this.setState({
          itemRender: this.props.limit + this.props.newIncrease,
          loadingList: true,
        });
      });
    } else {
      this.setState({ loadingList: false });
    }
  };
  render() {
    return (
      <Flatlist
        scrollEventThrottle={16}
        contentContainerStyle={{
          paddingBottom: 100,
          marginTop: 70,
        }}
        initialNumToRender={5}
        onMomentumScrollEnd={(e) => this.handleScroll(e)}
        showsVerticalScrollIndicator={false}
        data={this.props.data}
        renderItem={this.props.renderItem}
        keyExtractor={(item) => item.id}
        onScroll={(e) => this.scrollY.setValue(e.nativeEvent.contentOffset.y)}
      />
    );
  }
}
